Public Member Functions | Data Fields

# GenerateLandscapeWindow Struct Reference

Inheritance diagram for GenerateLandscapeWindow:

## Public Member Functions
| GenerateLandscapeWindow (const WindowDesc *desc, WindowNumber number=0)
virtual void | SetStringParameters (int widget) const
virtual void | OnInvalidateData (int data=0, bool gui_scope=true)
| Some data on this window has become invalid.
virtual void | UpdateWidgetSize (int widget, Dimension *size, const Dimension &padding, Dimension *fill, Dimension *resize)
virtual void | DrawWidget (const Rect &r, int widget) const
virtual void | OnPaint ()
virtual void | OnClick (Point pt, int widget, int click_count)
virtual void | OnTimeout ()
virtual void | OnMouseLoop ()
virtual EventState | OnKeyPress (uint16 key, uint16 keycode)
virtual void | OnDropdownSelect (int widget, int index)
virtual void | OnQueryTextFinished (char *str)
## Data Fields
uint | widget_id
uint | x
uint | y
char | name [64]
GenenerateLandscapeWindowMode | mode

## Detailed Description

Definition at line 306 of file genworld_gui.cpp.

## Member Function Documentation

virtual void GenerateLandscapeWindow::OnInvalidateData | ( | int | data = `0`,
|  | bool | gui_scope = `true` |
| ) |  |  | `[inline, virtual]`

Some data on this window has become invalid.

Parameters:

  | data | Information about the changed data.
  | gui_scope | Whether the call is done from GUI scope. You may not do everything when not in GUI scope. See InvalidateWindowData() for details.

Definition at line 396 of file genworld_gui.cpp.

References _settings_newgame, GameSettings::construction, CUSTOM_SEA_LEVEL_MIN_PERCENTAGE, CUSTOM_SEA_LEVEL_NUMBER_DIFFICULTY, GameSettings::difficulty, ConstructionSettings::freeform_edges, GameSettings::game_creation, GLWM_GENERATE, HasBit(), GameCreationSettings::land_generator, GameCreationSettings::landscape, MAX_SNOWLINE_HEIGHT, MAX_YEAR, MIN_SNOWLINE_HEIGHT, MIN_YEAR, DifficultySettings::quantity_sea_lakes, Window::SetWidgetDisabledState(), Window::SetWidgetLoweredState(), Window::SetWidgetsDisabledState(), GameCreationSettings::snow_line_height, GameCreationSettings::starting_year, GameCreationSettings::water_borders, WID_GL_ARCTIC, WID_GL_BORDERS_RANDOM, WID_GL_SMOOTHNESS_PULLDOWN, WID_GL_SNOW_LEVEL_DOWN, WID_GL_SNOW_LEVEL_TEXT, WID_GL_SNOW_LEVEL_UP, WID_GL_START_DATE_DOWN, WID_GL_START_DATE_UP, WID_GL_TEMPERATE, WID_GL_TERRAIN_PULLDOWN, WID_GL_TOYLAND, WID_GL_TROPICAL, WID_GL_VARIETY_PULLDOWN, WID_GL_WATER_NE, WID_GL_WATER_NW, WID_GL_WATER_PULLDOWN, WID_GL_WATER_SE, WID_GL_WATER_SW, and WIDGET_LIST_END.

The documentation for this struct was generated from the following file:

- src/genworld_gui.cpp